FreeBSD:PHP -- 複数の脆弱性(f471032a-8700-11e6-8d93-00248c0c745d)

critical Nessus プラグイン ID 94084

言語:

概要

リモートのFreeBSDホストに、セキュリティ関連の更新プログラムがありません。

説明

PHP による報告:

- バグ#73007(ロケールの長さチェックの追加)を修正しました

- バグ#72293(BITフィールドに関連するmysqlndにおけるヒープオーバーフロー)を修正しました

- バグ#72928(phar_parse_zipfileのzip pharの署名を検証する際に領域外になる)を修正しました

- バグ#73029(SplArrayをシリアル化解除する際に型チェックがない)を修正しました

- バグ#73052(逆シリアル化されたオブジェクトの破壊時のメモリ破損)を修正しました

- バグ#72860(wddx_deserializeのメモリ解放後使用(Use After Free))を修正しました

- バグ#73065(php_wddx_push_elementの領域外読み取り)を修正しました

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://php.net/ChangeLog-7.php#7.0.11

http://www.nessus.org/u?556e252c

プラグインの詳細

深刻度: Critical

ID: 94084

ファイル名: freebsd_pkg_f471032a870011e68d9300248c0c745d.nasl

バージョン: 2.6

タイプ: local

公開日: 2016/10/17

更新日: 2021/1/4

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

リスクファクター: Critical

Base Score: 9.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

脆弱性情報

CPE: p-cpe:/a:freebsd:freebsd:php70, cpe:/o:freebsd:freebsd

必要な KB アイテム: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

パッチ公開日: 2016/9/30

脆弱性公開日: 2016/9/15

参照情報

CVE: CVE-2016-7412, CVE-2016-7413, CVE-2016-7414, CVE-2016-7416, CVE-2016-7417, CVE-2016-7418